<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.equipmanage.mapper.WarehouseMapper">
    <select id="getOneByName" resultType="int">
        select count(1) from wl_warehouse  where name =#{name}
        <if test="id != null">
            and id !=#{id}
        </if>
    </select>
</mapper>
